summaryrefslogtreecommitdiffstats
path: root/source/l/gst-plugins-good
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gst-plugins-good')
-rw-r--r--source/l/gst-plugins-good/gst-plugins-good.6b86b56abd8a28b9e94cee679e3d86367a9a0ab3.diff11
-rwxr-xr-xsource/l/gst-plugins-good/gst-plugins-good.SlackBuild8
2 files changed, 16 insertions, 3 deletions
diff --git a/source/l/gst-plugins-good/gst-plugins-good.6b86b56abd8a28b9e94cee679e3d86367a9a0ab3.diff b/source/l/gst-plugins-good/gst-plugins-good.6b86b56abd8a28b9e94cee679e3d86367a9a0ab3.diff
new file mode 100644
index 000000000..7c896090a
--- /dev/null
+++ b/source/l/gst-plugins-good/gst-plugins-good.6b86b56abd8a28b9e94cee679e3d86367a9a0ab3.diff
@@ -0,0 +1,11 @@
+--- ./sys/v4l2/gstv4l2object.c.orig 2011-03-08 07:56:07.000000000 -0600
++++ ./sys/v4l2/gstv4l2object.c 2011-04-15 22:19:11.802999999 -0500
+@@ -2019,7 +2019,7 @@
+ /* ideally we would differentiate between types of interlaced video
+ * but there is not sufficient information in the caps..
+ */
+- field = V4L2_FIELD_SEQ_TB;
++ field = V4L2_FIELD_INTERLACED;
+ } else {
+ GST_DEBUG_OBJECT (v4l2object->element, "progressive video");
+ field = V4L2_FIELD_NONE;
diff --git a/source/l/gst-plugins-good/gst-plugins-good.SlackBuild b/source/l/gst-plugins-good/gst-plugins-good.SlackBuild
index a5db6d876..112ebe0b9 100755
--- a/source/l/gst-plugins-good/gst-plugins-good.SlackBuild
+++ b/source/l/gst-plugins-good/gst-plugins-good.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -26,7 +26,7 @@
PKGNAM=gst-plugins-good
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -68,6 +68,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
+zcat $CWD/gst-plugins-good.6b86b56abd8a28b9e94cee679e3d86367a9a0ab3.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -85,7 +87,7 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--disable-debug \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1